
<ion-content>
    <div class="ms-mob-body ms-home">
        <div class="row ms-home-body">
            <div class="ms-home-body-content ms-full-width ms-coordinator">
                <h5>choose your coordinator</h5>
                <p>your coordinator is your partner. to make it easier for you, your
                chosen coordernator will select partners based on his/her preference to
                populate your checklist. of course, your can change them if you prefer
                something else.</p>
                <div class="ms-coordinator-body">
                    <div *ngFor= "let coord of (coordinators | async)" class="ms-coordinator-pill ms-shadow" (click)="openCoordinatorDetails(coord)">
                        <div class="coord_img">
                            <img src={{coord.businessLogoPhotoUrl}} />
                        </div>
                        <div class="ms-coordinator-label">
                            <div>{{ coord.name }}</div>
                            <!-- <div>{{ coord.age}}</div> -->
                        </div>
                        
                        <ionic4-star-rating #rating
                            activeIcon = "ios-star"
                            defaultIcon = "ios-star-outline"
                            activeColor = "#FFD700" 
                            defaultColor = "#f4f4f4"
                            readonly="true"
                            rating='5'
                            fontSize = "20px" >
                            <!-- (ratingChanged)="logRatingChange($event)"> -->
                        </ionic4-star-rating>

                    </div>
                    <p class="ms-coordinator-more">more coodinators comming soon</p>
                </div>
                <div *ngIf="selected.name" class="ms-coordinator-selected ms-depth-16">
                    <span>your selected coodinator</span>
                    <p>{{ selected.name }}</p>
                </div>
            </div>
        </div>
    </div>
</ion-content>
<ion-footer>
    <div class="ms-home-bottombar ms-scheme-bottombar">
        <div class="row ms-bottom-toolbar">
            <div class="col-sm ms-bottom-toolbar-tool">
                <span>
                    <a (click)="navBack()">
                        <i class="ms-Icon ms-Icon--Back"></i>
                    </a>
                </span>
                <span>
                </span>
                <span>
                    <a class="ms-item-content-go" (click)="selectCoord()" *ngIf="this.selected.name">
                        <i class="ms-Icon ms-Icon--Accept"></i>
                    </a>
                </span>
            </div>
        </div>
    </div>
</ion-footer>
